﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<style type="text/css">
 div.msgBox{
        width:600px;
    }
    div.msgBoxButtons input[type="button"] {
        width: 200px;
    }

    div.msgBoxButtons input[value="Close"] {
        width: 80px;
        background-color:#ff4242;
    }
</style>
<script type="text/javascript">
   
    PartNo = null;
    function OnBeginCallbackGrid(s, e) {
        //if (DCL_NO.GetText() != "" && DOCK_CD.GetText() != "" && RouteOption.GetText()!="") {
        //    e.customArgs["ORDER_NO"] = DCL_NO.GetText();
        //    e.customArgs["DOCK_CD"] = DOCK_CD.GetText();
        //    e.customArgs["ROUTE_RATE"] = RouteOption.GetText();
        //}
        e.customArgs["MANIFEST_NO"] = MANIFEST_NO.GetText();
    }

    function OnBeginCallbackGridDetail(s, e) {
        e.customArgs["PART_NO"] = PartNo;
        e.customArgs["MANIFEST_NO"] = MANIFEST_NO.GetText();
    }


    function OnEndCallbackGrid(s, e) {
        console.log('test');
    }

    function openpop(v) {
        PartNo = v;
        console.log(v);
        GridKanbanList.PerformCallback();
        popupnew.SetHeaderText('Kanban List');
        popupnew.Show();
    }

    function ReceiveAll(v)
    {
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/KanbanReceivingManifestLevel/ReceiveAll")",
            data:
            {
                PART_NO: GridKanbanReceivingManifestLevel.cpPART_NO[v],
                MANIFEST_NO: MANIFEST_NO.GetText()
            },
            success: function (result) {
                
                GridKanbanReceivingManifestLevel.PerformCallback();
                
            },
            error: function (result) {
                $.msgBox({ title: "error", type:"error", content: "Error when update data" });
            }
        });
        
    }

    function Receive(v)
    {
        
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/KanbanReceivingManifestLevel/Receive")",
            data:
        {
            KANBAN_ID: GridKanbanList.cpKANBAN_ID[v]
        },
        success: function (result) {
            GridKanbanList.PerformCallback();
            GridKanbanReceivingManifestLevel.PerformCallback();
                
        },
        error: function (result) {
            $.msgBox({ title: "error", type:"error", content: "Error when update data" });
        }
    });
    }

    var _PART_NO_DETAIL;
    var _KANBAN_NO_DETAIL;
    var _PART_NAME_DETAIL;
    var _KANBAN_QTY_DETAIL;
    var _ORDER_NO_DETAIL;
    var _KANBAN_ID_DETAIL;

    function OpenPrint(KANBAN_NO, ORDER_NO, PART_NO, PART_NAME) {
       
        _PART_NO_DETAIL = PART_NO;
        _KANBAN_NO_DETAIL = KANBAN_NO;
        _PART_NAME_DETAIL = PART_NAME;
        _KANBAN_QTY_DETAIL = 1
        _ORDER_NO_DETAIL = ORDER_NO;
        popupDetailPartDetail.Show();
        PART_NO_DETAIL.SetText(_PART_NO_DETAIL);
        PART_NAME_DETAIL.SetText(_PART_NAME_DETAIL);
        KANBAN_NO_DETAIL.SetText(_KANBAN_NO_DETAIL);
        KANBAN_QTY_DETAIL.SetText(_KANBAN_QTY_DETAIL);
        GridOrderPrintingdetailPartPartialDetail.PerformCallback();
    }

    function OnBeginCallbackGrids(s, e) {
        e.customArgs["ORDER_NO"] = _ORDER_NO_DETAIL;
        e.customArgs["PART_NO"] = _PART_NO_DETAIL;
        e.customArgs["KANBAN_NO"] = _KANBAN_NO_DETAIL;
    }
    

    function PrintKanbanWeb()
    {
        var x = GridOrderPrintingdetailPartPartialDetail.GetSelectedKeysOnPage();
        var kbn_id = '';
        for(i=0; i < x.length; i++)
        {
            kbn_id += x[i]+';';
        }

        kbn_id = kbn_id.substring(0,kbn_id.length-1);

        console.log(kbn_id);

        $.ajax({
            type: "POST",
            url: "@Url.Content("~/DailyOrderPrinting/PrintKanbanWeb")",
            async: false,
        data: {
            ORDER_NO : _ORDER_NO_DETAIL,
            PART_NO : _PART_NO_DETAIL,
            KANBAN_NO : _KANBAN_NO_DETAIL,
            KBN_ID : kbn_id
        },
        success: function (result) {
            console.log(result.url);
            var url = result.url;
            url = url.replace('ippcs-qa/', '');
            console.log(url);
                    
            $.fileDownload(url,{
                       
                successCallback : function(url){
                    popupProgress.Hide();
                },
                failCallback : function(responseHtml, url){
                    popupProgress.Hide();
                    alert(responseHtml);
                }
            });  


            // ExecutePrintInFrame(result);
        },
        error: function (result) {
            //alert("Error when update data");
        }
    });
    }


    function openmenu(kanban_no, order_no, part_no, part_name)
    {
        $.msgBox({
            title: "Page choser",
            type: "prompt",
            content: "Please choose wich page do you like to open",
            buttons: [
                {
                    value:'Kanban ID Printing'
                },
                {
                    value:'Kanban ID Receiving'
                }
                ,
                {
                    value: 'Close'
                }
            ],
            inputs:false,
            success:function(m)
            {
                switch(m)
                {
                    case "Close":
                    break;
                    case "Kanban ID Printing":
                        $(this).hide();
                        OpenPrint(kanban_no, order_no, part_no, part_name);
                    break;
                    case "Kanban ID Receiving":
                        $(this).hide();
                        openpop(part_no);
                    break;
                }
            }
        });
       $('div.msgBoxContainer').html('<center><h4>Please choose wich page do you like to open</h4></center>');
    }


</script>
<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD;
    padding: 10px;  height:50px;">
    @Html.Action("PartialHeader", "KanbanReceivingManifestLevel")
</div>


    <div style="height: 15px;">
    </div>
    @* div spacing *@
   <div style=" display: table; width: 100%; margin-right: 10px; ">
    @Html.Action("PartialData", "KanbanReceivingManifestLevel")
</div>


    <div id="toggleDetail" style="margin-top:5px;"></div>

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupnew";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(400);
    //settings.Height = System.Web.UI.WebControls.Unit.Pixel(350);
    settings.Modal = true;
    settings.ShowPageScrollbarWhenModal = false;
    settings.CloseAction = CloseAction.CloseButton;
    settings.SetContent(() =>
    {
        Html.RenderPartial("GridIndexDetail");
    });
}).GetHtml()

@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "popupDetailPartDetail";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(600);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(600);
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Modal = true;
    //settings.ClientSideEvents.Shown = "OnShowHandlerDetailPartDetail";
    settings.SetContent(() =>
    {
        Html.RenderPartial("HeaderDetailPartDetail");
    });
}).GetHtml()